From 75b3b3db442eea4535dacdbb070bc4eb175fc0db Mon Sep 17 00:00:00 2001
From: Aleksander Alekseev <aleksander@timescale.com>
Date: Sun, 23 Oct 2022 13:08:36 +0300
Subject: [PATCH v1] Fix incorrect spelling of the word "implementer"

Aleksander Alekseev
---
 doc/src/sgml/tableam.sgml        | 4 ++--
 src/backend/access/index/genam.c | 2 +-
 src/backend/commands/tablecmds.c | 2 +-
 src/include/storage/s_lock.h     | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/tableam.sgml b/doc/src/sgml/tableam.sgml
index 6a6eb2b766..074a1020fa 100644
--- a/doc/src/sgml/tableam.sgml
+++ b/doc/src/sgml/tableam.sgml
@@ -49,13 +49,13 @@
   <structname>TableAmRoutine</structname> structure (with comments inside the
   struct defining the requirements for callbacks). Most callbacks have
   wrapper functions, which are documented from the point of view of a user
-  (rather than an implementor) of the table access method.  For details,
+  (rather than an implementer) of the table access method.  For details,
   please refer to the <ulink url="https://git.postgresql.org/gitweb/?p=postgresql.git;a=blob;f=src/include/access/tableam.h;hb=HEAD">
   <filename>src/include/access/tableam.h</filename></ulink> file.
  </para>
 
  <para>
-  To implement an access method, an implementor will typically need to
+  To implement an access method, an implementer will typically need to
   implement an AM-specific type of tuple table slot (see
   <ulink url="https://git.postgresql.org/gitweb/?p=postgresql.git;a=blob;f=src/include/executor/tuptable.h;hb=HEAD">
    <filename>src/include/executor/tuptable.h</filename></ulink>), which allows
diff --git a/src/backend/access/index/genam.c b/src/backend/access/index/genam.c
index 98af5347b9..64cc076f8e 100644
--- a/src/backend/access/index/genam.c
+++ b/src/backend/access/index/genam.c
@@ -46,7 +46,7 @@
  *		We don't know how the various AMs do locking, however, so we don't
  *		do anything about that here.
  *
- *		The intent is that an AM implementor will define a beginscan routine
+ *		The intent is that an AM implementer will define a beginscan routine
  *		that calls RelationGetIndexScan, to fill in the scan, and then does
  *		whatever kind of locking he wants.
  *
diff --git a/src/backend/commands/tablecmds.c b/src/backend/commands/tablecmds.c
index 20135ef1b0..0aa6e07563 100644
--- a/src/backend/commands/tablecmds.c
+++ b/src/backend/commands/tablecmds.c
@@ -9352,7 +9352,7 @@ ATAddForeignKeyConstraint(List **wqueue, AlteredTableInfo *tab, Relation rel,
 			 * Upon a change to the cast from the FK column to its pfeqop
 			 * operand, revalidate the constraint.  For this evaluation, a
 			 * binary coercion cast is equivalent to no cast at all.  While
-			 * type implementors should design implicit casts with an eye
+			 * type implementers should design implicit casts with an eye
 			 * toward consistency of operations like equality, we cannot
 			 * assume here that they have done so.
 			 *
diff --git a/src/include/storage/s_lock.h b/src/include/storage/s_lock.h
index 4225d9b7fc..c8aec87d37 100644
--- a/src/include/storage/s_lock.h
+++ b/src/include/storage/s_lock.h
@@ -28,7 +28,7 @@
  *	void SPIN_DELAY(void)
  *		Delay operation to occur inside spinlock wait loop.
  *
- *	Note to implementors: there are default implementations for all these
+ *	Note to implementers: there are default implementations for all these
  *	macros at the bottom of the file.  Check if your platform can use
  *	these or needs to override them.
  *
-- 
2.38.0

